Berkeley DB version 5.1.19

## com.sleepycat.util
Class IOExceptionWrapper

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.sleepycat.util.IOExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, Serializable

    public class IOExceptionWrapper

extends IOException
implements ExceptionWrapper

An IOException that can contain nested exceptions.

See Also:
  Serialized Form

Constructor Summary
`IOExceptionWrapper(Throwable e)`

Method Summary
`Throwable` `getCause()` Returns the nested exception or null if none is present.
`Throwable` `getDetail()` Deprecated. replaced by `getCause()`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IOExceptionWrapper

    public IOExceptionWrapper(Throwable e)

Method Detail

### getDetail

    public Throwable getDetail()

  Deprecated. replaced by `getCause()`.

  Description copied from interface: `ExceptionWrapper`
  Returns the nested exception or null if none is present.

  Specified by:
    `getDetail` in interface `ExceptionWrapper`
  Returns:
    the nested exception or null if none is present.

### getCause

    public Throwable getCause()

  Description copied from interface: `ExceptionWrapper`
  Returns the nested exception or null if none is present.

  This method is intentionally defined to be the same signature as the `java.lang.Throwable.getCause` method in Java 1.4 and greater. By defining this method to return a nested exception, the Java 1.4 runtime will print the nested stack trace.

  Specified by:
    `getCause` in interface `ExceptionWrapper`
  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the nested exception or null if none is present.

Berkeley DB version 5.1.19

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.